RedotPay Connect
Refund

Initiate merchant refund

POST
/openapi/v2/refund/create

Initiate a refund for a previously created order. Returns the acquirer refund identifier and the initial refund status (e.g. REFUNDING). Use this API to submit merchant-initiated refunds.

Header Parameters

X-R-Ts*string

request timestamp in milliseconds

X-R-Ak*string

merchant's appKey

X-R-Signature*string

request signature

X-R-Key-Version?string

merchant's private key version, default is 1

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

create refund order request

Response Body

*/*

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/openapi/v2/refund/create" \  -H "X-R-Ts: 1762327084929" \  -H "X-R-Ak: string" \  -H "X-R-Signature: string" \  -H "Content-Type: application/json" \  -d '{    "merchantRefundSn": "MRF20260101002",    "outerOrderSn": "ORD20260101001",    "reason": "Product out of stock — customer requested refund",    "refundAmount": 50  }'
"open api common response"
{  "code": "paramFormatError",  "message": "request param invalid"}
{  "code": "authorizationInvalid",  "message": "authorizationInvalid invalid"}
{  "code": "notInWhiteList",  "message": "request ip not in the white list"}
{  "code": "frequencyLimited",  "message": "Too many requests, please try again later"}